#
# spec file for package perl-Test-Simple
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_with pod

Name:           perl-Test-Simple
%define         cpan_name Test-Simple
Summary:        Basic utilities for writing tests
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Version:        0.98
Release:        14.3
Url:            http://search.cpan.org/dist/Test-Simple/
#Source:         http://www.cpan.org/modules/by-module/Test/Test-Simple-%{version}.tar.gz
Source:         %{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl
%if 0%{?fedora}
BuildRequires:  perl-devel
%endif
BuildRequires:  perl-macros
%if %{with pod}
BuildRequires:  perl(Test::Pod) >= 1.00
BuildRequires:  perl(Test::Pod::Coverage) >= 1.08
%endif
BuildRequires:  perl(Test::Harness) >= 2.03
Requires:       perl(Test::Harness) >= 2.03

%description
This is an extremely simple, extremely basic module for writing tests
suitable for CPAN modules and other pursuits. If you wish to do more
complicated testing, use the Test::More module (a drop-in replacement for
this one).

Authors:
--------
    Michael G Schwern <schwern@pobox.com>

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(-,root,root,-)
%doc Changes README TODO examples

%changelog
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Wed Feb 23 2011 lars@linux-schulserver.de
- update to 0.98:
  + subtest() should not fail if $? is non-zero.
  + The behavior of is() and undef has been documented.
  + Adapted the tests for the new Perl 5.14 regex stringification.
  + The filehandles used by default will now inherit any filehandle
    disciplines from STDOUT and STDERR IF AND ONLY IF they were applied
    before Test::Builder is loaded.
- also package the examples in docdir
* Tue Nov 30 2010 coolo@novell.com
- buildrequire perl-devel on fedora
* Thu Sep  9 2010 chris@computersalat.de
- recreated by cpanspec 1.78
- noarch pkg
- bzipped Source
- added bcond_with pod
- fixed deps
  o Removed: Prov perl-Test-More, perl-Test-Builder
  o fixed dep for *Pod*
* Fri Aug 27 2010 pascal.bleser@opensuse.org
- update to 0.96
  * You can call done_testing() again after reset() [googlecode 59]
* Mon Jul  5 2010 jw@novell.com
- looong time no updated. 0.88 is needed for CPANPLUS packages.
  Let's fast forward this one.
- Update to 0.95_02
  See http://cpansearch.perl.org/src/MSCHWERN/Test-Simple-0.95_02/Changes
* Tue Feb 12 2008 lars@linux-schulserver.de
- Update to 0.74
  + Add abstract and author to the meta information.
  + Put the use_ok() fix from 0.71 back.
  + Fixed an obscure problem with is_deeply() and overloading ==
    [rt.cpan.org 20768].  Thanks Sisyphus.
  + Removed dependency on Text::Soundex [rt.cpan.org 25022]
  + Fixed a 5.5.x failure in fail-more.t
  + Got rid of the annoying sort_bug.t test that revealed problems with some
    threaded perls.  It was testing the deprecated eq_* functions and not
    worth the bother.  Now it tests is_deeply().  [rt.cpan.org 17791]
  + Minor POD mistake in Test::Builder [rt.cpan.org 28869]
  + Test::FAQ has been updated with some more answers.
  + Fixed the "LICENSE is not a known MakeMaker parameter name" warning
    on older MakeMakers for real this time.
* Tue Jul 24 2007 lars@linux-schulserver.de
- initial version 0.70
